## org.springframework.web.portlet.context
Class PortletContextPropertySource

    java.lang.Object
      org.springframework.core.env.PropertySource<T>
          org.springframework.core.env.EnumerablePropertySource<PortletContext>
              org.springframework.web.portlet.context.PortletContextPropertySource

    public class PortletContextPropertySource

extends EnumerablePropertySource<PortletContext>

`PropertySource` that reads init parameters from a `PortletContext` object.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `PortletConfigPropertySource`

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.core.env.PropertySource
`PropertySource.StubPropertySource`

Field Summary

Fields inherited from class org.springframework.core.env.EnumerablePropertySource
`EMPTY_NAMES_ARRAY, logger`

Fields inherited from class org.springframework.core.env.PropertySource
`name, source`

Constructor Summary
`PortletContextPropertySource(String name, PortletContext portletContext)`

Method Summary
`String` `getProperty(String name)` Return the value associated with the given name, `null` if not found.
`String[]` `getPropertyNames()` Return the names of all properties contained by the source object (never `null`).

Methods inherited from class org.springframework.core.env.EnumerablePropertySource
`containsProperty`

Methods inherited from class org.springframework.core.env.PropertySource
`equals, getName, getSource, hashCode, named, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletContextPropertySource

    public PortletContextPropertySource(String name,
                                        PortletContext portletContext)

Method Detail

### getPropertyNames

    public String[] getPropertyNames()

  Description copied from class: `EnumerablePropertySource`
  Return the names of all properties contained by the source object (never `null`).

  Specified by:
    `getPropertyNames` in class `EnumerablePropertySource<PortletContext>`

### getProperty

    public String getProperty(String name)

  Description copied from class: `PropertySource`
  Return the value associated with the given name, `null` if not found.

  Specified by:
    `getProperty` in class `PropertySource<PortletContext>`
  Parameters:
    `name` - the property to find
  See Also:
    `PropertyResolver.getRequiredProperty(String)`